#include <endpoints/DHTEndpoint.h>

void DHTEndpoint::bind(String _name, SpejsNode* _parent) {
    Endpoint::bind(_name, _parent);

    sensor.begin();
    samplingTimer.initializeMs(samplingRate, TimerDelegate(&DHTEndpoint::sample, this)).start();
}

void DHTEndpoint::sample() {
    TempAndHumidity th;
    if(sensor.readTempAndHumidity(th))
    {
        notify("degree", String(th.temp));
        notify("humidity", String(th.humid));
    }
    else
    {
        Serial.print("Failed to read from DHT: ");
        Serial.print(sensor.getLastError());
    }
}
