#ifndef DHTENDPOINT_H
#define DHTENDPOINT_H

#include <Endpoint.h>
#include <Libraries/DHT/DHT.h>

class DHTEndpoint : public ValueEndpoint<float> {
private:
    DHT sensor;
    Timer samplingTimer;
    int samplingRate;

protected:
    void sample();

public:
    DHTEndpoint(int _pin, int _samplingRate = 10000, int _sensor_type=DHT11) :
        ValueEndpoint("dht"), sensor(_pin, _sensor_type),
        samplingRate(_samplingRate) {}

    void bind(String name, SpejsNode* _parent);
};

#endif
